module GcDatastore
  class Datastore
    def initialize(remoteRpc, datastore)
      @remoteRpc = remoteRpc
      @datastore = datastore
    end

    def allocateIds(body_object={})
      @remoteRpc.call(@datastore.datasets.allocate_ids, body_object)
    end

    def beginTransaction(body_object={})
      @remoteRpc.call(@datastore.datasets.begin_transaction, body_object)
    end

    def commit(body_object={})
      @remoteRpc.call(@datastore.datasets.commit, body_object)
    end

    def lookup(body_object={})
      @remoteRpc.call(@datastore.datasets.lookup, body_object)
    end

    def rollback(body_object={})
      @remoteRpc.call(@datastore.datasets.rollback, body_object)
    end

    def runQuery(body_object={})
      @remoteRpc.call(@datastore.datasets.run_quert, body_object)
    end
  end
end
