module GcDatastore
  class RemoteRpc
    def initialize(client, options) 
      @dataset_id = options[:dataset_id]
      @client = client
    end

    def call(method, body_object)
      @client.execute(
        :api_method => method,
        :parameters => {:datasetId => @dataset_id},
        :body_object => body_object)
    end
  end
end
